This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 805282 - Search list missing scroll bar
Search list missing scroll bar
Status: CLOSED NOTABUG
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.0.0
Unspecified Unspecified
unspecified Severity low
: ---
: JON 3.2.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 15:40 EDT by mark yarborough
Modified: 2013-09-13 10:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 10:41:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
JON UI Search Missing Scrollbar (151.03 KB, image/png)
2012-03-20 15:40 EDT, mark yarborough
no flags Details

  None (edit)
Description mark yarborough 2012-03-20 15:40:29 EDT
Created attachment 571510 [details]
JON UI Search Missing Scrollbar

Description of problem:
When a search list is long, the list is truncated but no scrollbar is presented to allow users to view end of list.

Version-Release number of selected component (if applicable):
JON 3.0

How reproducible:
100%

Steps to Reproduce:
1. Start JON UI
2. Click Inventory --> All Resources
3. Click Search: 
3.a  Helper list pops up, but is long and is truncated 
     around AlertTemplateTestBean (screenshot)

  
Actual results:
Cannot scroll down list

Expected results:
Would like to scroll down list to see pick options beyond AlertTemplateTestBean

Additional info:
Comment 1 Charles Crouch 2012-03-22 12:42:01 EDT
I think this is working as designed. The list of suggestions is not meant to be 
scrollable but is there to give you just the top few entries that match your 
search criteria. If you want to see more results beyond that short list just 
hit Enter and you'll get a fully scrollable list containing all the matching 
results.

I know its not exactly analagous but this is how google.com search is working 
for me, at least in Chrome. I go to google.com and type "goo" I just see four 
suggestions, if I hit Enter I get 552,000,000 paged results. Maybe we should 
reduce the size of the suggestion list further to indicate better that it 
doesn't show all results?
Comment 2 Mike Foley 2012-03-26 11:57:46 EDT
medium, no target release 

per bz triage (crouch, mfoley, asantos, loleary)

Note You need to log in before you can comment on or make changes to this bug.